tvbrowser.ui.mainframe

## Class MenuBar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JMenuBar
        - - tvbrowser.ui.mainframe.MenuBar

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.MenuElement
  Direct Known Subclasses:
    DefaultMenuBar, MacOSXMenuBar

      public abstract class MenuBar
      extends javax.swing.JMenuBar
      implements java.awt.event.ActionListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JMenuBar

      `javax.swing.JMenuBar.AccessibleJMenuBar`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JMenuItem` | `mAboutMI`
    `protected javax.swing.JMenuItem` | `mDebugMI`
    `protected javax.swing.JMenuItem` | `mDonateMI`
    `protected javax.swing.JMenu` | `mEditMenu`
    `protected javax.swing.JMenu` | `mHelpMenu`
    `static Localizer` | `mLocalizer` The localizer for this class.
    `protected javax.swing.JMenu` | `mPluginsMenu`
    `protected javax.swing.JMenuItem` | `mQuitMI`
    `protected javax.swing.JMenuItem` | `mRestartMI`
    `protected javax.swing.JMenuItem` | `mSettingsMI`
    `protected javax.swing.JMenuItem` | `mToolbarMI`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MenuBar(MainFrame mainFrame, javax.swing.JLabel label)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `protected void` | `addAdditionalMenus(java.lang.Runnable callback)`
    `protected void` | `createCommonMenus(boolean aboutMenu)`
    `protected javax.swing.JMenuItem[]` | `createFilterMenuItems()`
    `protected void` | `createHelpMenuItems(boolean showAbout)`
    `protected javax.swing.JMenuItem[]` | `createInternalPluginMenuItems()`
    `protected javax.swing.JMenu` | `createMenu(java.lang.String localizerKey, java.lang.String defaultLabel)`
    `protected javax.swing.JMenu` | `createMenu(java.lang.String localizerKey, java.lang.String defaultLabel, boolean paintForPersona)`
    `protected javax.swing.JMenuItem[]` | `createPluginMenuItems()`
    `protected javax.swing.JMenu` | `createScrollableMenu(java.lang.String localizerKey, java.lang.String defaultLabel)`
    `javax.swing.JLabel` | `getLabel()`
    `protected MainFrame` | `getMainFrame()`
    `boolean` | `getUserRequestedCopyToSystem()`
    `boolean` | `isShowFilterPanelEnabled()`
    `protected void` | `paintComponent(java.awt.Graphics g)`
    `void` | `setChannelListItemChecked(boolean selected)`
    `void` | `setDateListItemChecked(boolean selected)`
    `void` | `setFullscreenItemChecked(boolean selected)`
    `protected void` | `setPluginMenuItems(javax.swing.JMenuItem[] items)`
    `void` | `setPluginViewItemChecked(boolean selected)`
    `void` | `setTimeCooserItemChecked(boolean selected)`
    `void` | `showStopMenuItem()`
    `void` | `showUpdateMenuItem()`
    `(package private) void` | `updateChannelGroupMenu()`
    `void` | `updateChannelGroupMenu(javax.swing.JMenu menu)`
    `void` | `updateChannelItems()`
    `void` | `updateDateItems()`
    `void` | `updateFiltersMenu()`
    `void` | `updatePersona()` Updates the search field on Persona change.
    `protected void` | `updatePluginHelpMenuItems()`
    `void` | `updatePluginsMenu()`
    `void` | `updateTimeItems()`
    `void` | `updateViewToolbarItem()`

    - ### Methods inherited from class javax.swing.JMenuBar

      `add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLocalizer

          public static final Localizer mLocalizer

      The localizer for this class.

    - #### mQuitMI

          protected javax.swing.JMenuItem mQuitMI

    - #### mRestartMI

          protected javax.swing.JMenuItem mRestartMI

    - #### mToolbarMI

          protected javax.swing.JMenuItem mToolbarMI

    - #### mSettingsMI

          protected javax.swing.JMenuItem mSettingsMI

    - #### mAboutMI

          protected javax.swing.JMenuItem mAboutMI

    - #### mDebugMI

          protected javax.swing.JMenuItem mDebugMI

    - #### mDonateMI

          protected javax.swing.JMenuItem mDonateMI

    - #### mPluginsMenu

          protected javax.swing.JMenu mPluginsMenu

    - #### mHelpMenu

          protected javax.swing.JMenu mHelpMenu

    - #### mEditMenu

          protected javax.swing.JMenu mEditMenu

  - ### Constructor Detail

    - #### MenuBar

          protected MenuBar(MainFrame mainFrame,
                 javax.swing.JLabel label)

  - ### Method Detail

    - #### getMainFrame

          protected MainFrame getMainFrame()

    - #### getLabel

          public javax.swing.JLabel getLabel()

    - #### showUpdateMenuItem

          public void showUpdateMenuItem()

    - #### showStopMenuItem

          public void showStopMenuItem()

    - #### createScrollableMenu

          protected javax.swing.JMenu createScrollableMenu(java.lang.String localizerKey,
                                               java.lang.String defaultLabel)

    - #### createMenu

          protected javax.swing.JMenu createMenu(java.lang.String localizerKey,
                                     java.lang.String defaultLabel)

    - #### createMenu

          protected javax.swing.JMenu createMenu(java.lang.String localizerKey,
                                     java.lang.String defaultLabel,
                                     boolean paintForPersona)

    - #### updateChannelGroupMenu

          void updateChannelGroupMenu()

    - #### updateChannelGroupMenu

          public void updateChannelGroupMenu(javax.swing.JMenu menu)

    - #### createFilterMenuItems

          protected javax.swing.JMenuItem[] createFilterMenuItems()

    - #### updatePluginsMenu

          public void updatePluginsMenu()

    - #### updateTimeItems

          public void updateTimeItems()

    - #### updateViewToolbarItem

          public void updateViewToolbarItem()

    - #### updateChannelItems

          public void updateChannelItems()

    - #### updateDateItems

          public void updateDateItems()

    - #### updateFiltersMenu

          public void updateFiltersMenu()

    - #### setPluginMenuItems

          protected void setPluginMenuItems(javax.swing.JMenuItem[] items)

    - #### createInternalPluginMenuItems

          protected javax.swing.JMenuItem[] createInternalPluginMenuItems()

    - #### createPluginMenuItems

          protected javax.swing.JMenuItem[] createPluginMenuItems()

    - #### updatePluginHelpMenuItems

          protected void updatePluginHelpMenuItems()

    - #### setPluginViewItemChecked

          public void setPluginViewItemChecked(boolean selected)

    - #### setFullscreenItemChecked

          public void setFullscreenItemChecked(boolean selected)

    - #### setTimeCooserItemChecked

          public void setTimeCooserItemChecked(boolean selected)

    - #### setDateListItemChecked

          public void setDateListItemChecked(boolean selected)

    - #### setChannelListItemChecked

          public void setChannelListItemChecked(boolean selected)

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### isShowFilterPanelEnabled

          public boolean isShowFilterPanelEnabled()

    - #### createHelpMenuItems

          protected void createHelpMenuItems(boolean showAbout)

    - #### addAdditionalMenus

          protected final void addAdditionalMenus(java.lang.Runnable callback)

    - #### createCommonMenus

          protected void createCommonMenus(boolean aboutMenu)

    - #### getUserRequestedCopyToSystem

          public boolean getUserRequestedCopyToSystem()

    - #### paintComponent

          protected void paintComponent(java.awt.Graphics g)

      Overrides:
        `paintComponent` in class `javax.swing.JComponent`

    - #### updatePersona

          public void updatePersona()

      Updates the search field on Persona change.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)